Skip to main content
GET
/
api
/
v1
/
model_providers
/
{model_provider_id}
Get Model Provider
curl --request GET \
  --url https://api.example.com/api/v1/model_providers/{model_provider_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "anthropic",
  "base_url": "<string>",
  "capabilities": [
    "llm"
  ],
  "name": "<string>",
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "registry": "<string>",
  "state": "online"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

model_provider_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
type
enum<string>
required

Type of model provider

Available options:
anthropic,
bedrock,
cerebras,
chutes,
cohere,
deepseek,
gemini,
github,
groq,
watsonx,
jan,
mistral,
moonshot,
nvidia,
ollama,
openai,
openrouter,
perplexity,
together,
voyage,
rits,
other
base_url
string<uri>
required

Base URL for the API (unique)

Required string length: 1 - 2083
capabilities
enum<string>[]
required
Available options:
llm,
embedding
name
string | null

Human-readable name for the model provider

description
string | null

Optional description of the provider

created_at
string<date-time>
registry
string<uri> | null
Minimum string length: 1
state
enum<string>
default:online
Available options:
online,
offline